<?php
 
add_action('init', 'greatway_kc_active', 99 );
 
function greatway_kc_active() {
 
	if (function_exists('kc_add_map')) 
		
	{ 
	
	    kc_add_map(
	        array(

	            'shortcode_importer' => array(
	                'name' => esc_html__('Shortcode Importer', 'greatway'),
	                'icon' => 'sl-rocket',
	                'category' => 'Greatway Shortcodes',
	                'params' => array(
	                
	                    array(
                        'name' => 'enter_shortcode',
                        'label' => esc_html__( 'Enter Shortcode', 'greatway' ),
                        'type' => 'textarea',
                        'admin_label' => true,
										),	    	                             


	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
			
	    ); // End add map	  
		
	    kc_add_map(
	        array(

	            'feature_area' => array(
	                'name' => esc_html__('Feature', 'greatway'),
	                'icon' => 'sl-rocket',
	                'category' => 'Greatway Shortcodes',
	                'params' => array(
	                
	                    array(
	                        'name' => 'feat_icon',
	                        'label' => esc_html__( 'Icon', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'fa fa-tablet',
						),	                   

						array(
	                        'name' => 'feat_title',
	                        'label' => esc_html__( 'Title', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Professional',
						),						
						
						array(
	                        'name' => 'feat_content',
	                        'label' => esc_html__( 'Section Content', 'greatway' ),
	                        'type' => 'textarea',
	                        'admin_label' => true,
							'value' => 'Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor',
						),						
												

	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
			
	    ); // End add map	    
		
		kc_add_map(
	        array(

	            'about_area' => array(
	                'name' => esc_html__('About Us Area', 'greatway'),
	                'icon' => 'sl-rocket',
	                'category' => 'Greatway Shortcodes',
					'nested'		=> true,
	                'params' => array(

	                    array(
	                        'name' => 'sec_title_before',
	                        'label' => esc_html__( 'Section Before Title', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Who we',
						),		                    
						
						array(
	                        'name' => 'sec_title_after',
	                        'label' => esc_html__( 'Section After Title', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'are',
						),	 						
						
						array(
	                        'name' => 'sec_title',
	                        'label' => esc_html__( 'Section Heading', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'A little brief about us',
						),							
						
						array(
	                        'name' => 'sec_content',
	                        'label' => esc_html__( 'Content', 'greatway' ),
	                        'type' => 'textarea',
	                        'admin_label' => true,
							'value' => '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut pulvinar lacus ut eros euismod, sit amet convallis lorem sagittis. In felis dolor, fringilla at mollis ac, blandit a magna. Pellentesque vehicula felis ex, id maximus.</p>
								<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut pulvinar lacus ut eros euismod, sit amet convallis lorem sagittis. In felis dolor, fringilla at mollis.</p>
								',
						),						
						
						array(
	                        'name' => 'sec_btn_text',
	                        'label' => esc_html__( 'Button Text', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'More About',
						),	   						
						array(
	                        'name' => 'sec_btn_link',
	                        'label' => esc_html__( 'Button Link', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => '#',
						),	                   

	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
			
	    ); // End add map			
		
		kc_add_map(
	        array(

	            'about_item' => array(
	                'name' => esc_html__('Skill (Child of About Us)', 'greatway'),
	                'icon' => 'sl-rocket',
	                'category' => 'Greatway Shortcodes',
	                'params' => array(

	                    array(
	                        'name' => 'skill_text',
	                        'label' => esc_html__( 'Skill Text', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'design',
						),		                    
						
						array(
	                        'name' => 'skill_number',
	                        'label' => esc_html__( 'Percent', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => '95',
						),	 						
												   
	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
			
	    ); // End add map			
		
		kc_add_map(
	        array(

	            'why_choice_us_area' => array(
	                'name' => esc_html__('Why Choice Us Area', 'greatway'),
	                'icon' => 'sl-rocket',
	                'category' => 'Greatway Shortcodes',
	                'params' => array(

	                    array(
	                        'name' => 'section_title',
	                        'label' => esc_html__( 'Title', 'greatway' ),
	                        'type' => 'textarea',
	                        'admin_label' => true,
							'value' => 'Why <span>choose</span> us',
						),		                    
						
						array(
	                        'name' => 'section_image',
	                        'label' => esc_html__( 'Upload Image', 'greatway' ),
	                        'type' => 'attach_image',
	                        'admin_label' => true,
						),	 						
												   
	                )
	            ),  // End of elemnt kc_icon 

	        ) 
			
			
	    ); // End add map			
		
		kc_add_map(
	        array(

	            'service_area' => array(
	                'name' => esc_html__('Services Area', 'greatway'),
	                'icon' => 'sl-rocket',
	                'category' => 'Greatway Shortcodes',
	                'params' => array(

	                    array(
	                        'name' => 'sec_title_before',
	                        'label' => esc_html__( 'Section Before Title', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'our',
						),			                   

						array(
	                        'name' => 'sec_title_after',
	                        'label' => esc_html__( 'Section After Title', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'service',
						),							
						array(
	                        'name' => 'sec_post_per_page',
	                        'label' => esc_html__( 'Number of Post', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => '6',
						),		                    
												
												   
	                )
	            ),  // End of elemnt kc_icon 

	        ) 			
	    ); // End add map			
		
		kc_add_map(
	        array(

	            'work_area' => array(
	                'name' => esc_html__('Portfolio Area', 'greatway'),
	                'icon' => 'sl-rocket',
	                'category' => 'Greatway Shortcodes',
	                'params' => array(

	                    array(
	                        'name' => 'sec_title_before',
	                        'label' => esc_html__( 'Section Before Title', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Latest',
						),			                   

						array(
	                        'name' => 'sec_title_after',
	                        'label' => esc_html__( 'Section After Title', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'works',
						),							
						array(
	                        'name' => 'sec_btn_text',
	                        'label' => esc_html__( 'Button Text', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'See More Work',
						),							
						
						array(
	                        'name' => 'sec_btn_link',
	                        'label' => esc_html__( 'Button Link', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => '#',
						),		                    
												
												   
	                )
	            ),  // End of elemnt kc_icon 

	        ) 			
	    ); // End add map			
		
		kc_add_map(
	        array(

	            'counter_area' => array(
	                'name' => esc_html__('Counter Area', 'greatway'),
	                'icon' => 'sl-rocket',
	                'category' => 'Greatway Shortcodes',
					'nested'		=> true,
	                'params' => array(

								   
	                )
	            ),  // End of elemnt kc_icon 

	        ) 			
	    ); // End add map		
		
		kc_add_map(
	        array(

	            'counter_item' => array(
	                'name' => esc_html__('Counter Item (Child Of Counter)', 'greatway'),
	                'icon' => 'sl-rocket',
	                'category' => 'Greatway Shortcodes',			
	                'params' => array(
						array(
	                        'name' => 'counter_icon',
	                        'label' => esc_html__( 'Icon', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'fa fa-check',
						),								
						
						array(
	                        'name' => 'counter_number',
	                        'label' => esc_html__( 'Number', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => '2500',
						),								
						
						array(
	                        'name' => 'counter_text',
	                        'label' => esc_html__( 'Counter Text', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Projects Finished',
						),			   
	                )
	            ),  // End of elemnt kc_icon 

	        ) 			
	    ); // End add map			
		
		kc_add_map(
	        array(

	            'video_area' => array(
	                'name' => esc_html__('Video Area', 'greatway'),
	                'icon' => 'sl-rocket',
	                'category' => 'Greatway Shortcodes',			
	                'params' => array(
						array(
	                        'name' => 'video_bg_img',
	                        'label' => esc_html__( 'Upload Image', 'greatway' ),
	                        'type' => 'attach_image',
	                        'admin_label' => true,
						),								
						
						array(
	                        'name' => 'video_title',
	                        'label' => esc_html__( 'Title', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Check out the video!',
						),								
						
						array(
	                        'name' => 'video_url',
	                        'label' => esc_html__( 'Video Url', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'https://www.youtube.com/embed/46zPW2BgMOA',
						),			   
	                )
	            ),  // End of elemnt kc_icon 

	        ) 			
	    ); // End add map			
		
		kc_add_map(
	        array(

	            'team_area' => array(
	                'name' => esc_html__('Team Area', 'greatway'),
	                'icon' => 'sl-rocket',
	                'category' => 'Greatway Shortcodes',			
	                'params' => array(							
						
						array(
	                        'name' => 'sec_title_before',
	                        'label' => esc_html__( 'Section Before Title', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Our',
						),					

						array(
	                        'name' => 'sec_title_after',
	                        'label' => esc_html__( 'Section After Title', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Experts',
						),							
						
						array(
	                        'name' => 'number_of_post',
	                        'label' => esc_html__( 'Number of Post', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => '4',
						),								
		   
	                )
	            ),  // End of elemnt kc_icon 

	        ) 			
	    ); // End add map			
		
		kc_add_map(
	        array(

	            'newsletter_area' => array(
	                'name' => esc_html__('Newsletter Area', 'greatway'),
	                'icon' => 'sl-rocket',
	                'category' => 'Greatway Shortcodes',			
	                'params' => array(							
						
						array(
	                        'name' => 'sec_bg_img',
	                        'label' => esc_html__( 'Upload Image', 'greatway' ),
	                        'type' => 'attach_image',
	                        'admin_label' => true,
						),					

						array(
	                        'name' => 'sec_title',
	                        'label' => esc_html__( 'Section Title', 'greatway' ),
	                        'type' => 'textarea',
	                        'admin_label' => true,
							'value' => 'Subscribe to get the latest news, update and offer information. Don\'t worry, we won\'t send spam!',
						),							
						
						array(
	                        'name' => 'sec_shortcode_id',
	                        'label' => esc_html__( 'Enter Shortcode', 'greatway' ),
	                        'type' => 'textarea',
	                        'admin_label' => true,			
						),								
		   
	                )
	            ),  // End of elemnt kc_icon 

	        ) 			
	    ); // End add map				
		
		kc_add_map(
	        array(

	            'pricing_area' => array(
	                'name' => esc_html__('Pricing Area', 'greatway'),
	                'icon' => 'sl-rocket',
	                'category' => 'Greatway Shortcodes',			
	                'params' => array(							
									

						array(
	                        'name' => 'sec_title_before',
	                        'label' => esc_html__( 'Section Before Title', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Greatway',
						),							
						
						array(
	                        'name' => 'sec_title_after',
	                        'label' => esc_html__( 'Section After Title', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => 'Pricing',
						),							
						
						array(
	                        'name' => 'number_of_post',
	                        'label' => esc_html__( 'Number of Post', 'greatway' ),
	                        'type' => 'text',
	                        'admin_label' => true,
							'value' => '3',							
						),								
		   
	                )
	            ),  // End of elemnt kc_icon 

	        ) 			
	    ); // End add map			
		
		kc_add_map(
	        array(

	            'testimonials_area' => array(
	                'name' => esc_html__('Testimonials Area', 'greatway'),
	                'icon' => 'sl-rocket',
	                'category' => 'Greatway Shortcodes',			
	                'params' => array(							
									

						array(
	                        'name' => 'sec_bg_img',
	                        'label' => esc_html__( 'Upload Image', 'greatway' ),
	                        'type' => 'attach_image',
	                        'admin_label' => true,
						),							
						
					
		   
	                )
	            ),  // End of elemnt kc_icon 

	        ) 			
	    ); // End add map			
		
		kc_add_map(
	        array(

	            'client_area' => array(
	                'name' => esc_html__('Client Area', 'greatway'),
	                'icon' => 'sl-rocket',
	                'category' => 'Greatway Shortcodes',			
	                'params' => array(							
									
					
		   
	                )
	            ),  // End of elemnt kc_icon 

	        ) 			
	    ); // End add map			
		
		kc_add_map(
	        array(

	            'blog_area' => array(
	                'name' => esc_html__('Blog Area', 'greatway'),
	                'icon' => 'sl-rocket',
	                'category' => 'Greatway Shortcodes',			
	                'params' => array(							
									
						array(
	                        'name' => 'sec_title_before',
	                        'label' => esc_html__( 'Section Before Title', 'greatway' ),
	                        'type' => 'text',	                        
	                        'admin_label' => true,
							'value' => 'Latest',
						),							
						
						array(
	                        'name' => 'sec_title_after',
	                        'label' => esc_html__( 'Section After Title', 'greatway' ),
	                        'type' => 'text',	                        
	                        'admin_label' => true,
							'value' => 'Blog',
						),							

						array(
	                        'name' => 'sec_number_post',
	                        'label' => esc_html__( 'Number of Post', 'greatway' ),
	                        'type' => 'text',	                        
	                        'admin_label' => true,
							'value' => '2',
						),							
		   
	                )
	            ),  // End of elemnt kc_icon 

	        ) 			
	    ); // End add map			
		
		kc_add_map(
	        array(

	            'buy_now_area' => array(
	                'name' => esc_html__('Buy Now Area', 'greatway'),
	                'icon' => 'sl-rocket',
	                'category' => 'Greatway Shortcodes',			
	                'params' => array(							
									
						array(
	                        'name' => 'sec_content',
	                        'label' => esc_html__( 'Section Content', 'greatway' ),
	                        'type' => 'textarea',	                        
	                        'admin_label' => true,
							'value' => 'Are you ready for your next project?',
						),							
						
						array(
	                        'name' => 'sec_btn_text',
	                        'label' => esc_html__( 'Button Text', 'greatway' ),
	                        'type' => 'text',	                        
	                        'admin_label' => true,
							'value' => 'Hire us',
						),							

						array(
	                        'name' => 'sec_btn_link',
	                        'label' => esc_html__( 'Button Link', 'greatway' ),
	                        'type' => 'text',	                        
	                        'admin_label' => true,
							'value' => '#',
						),							
		   
	                )
	            ),  // End of elemnt kc_icon 

	        ) 			
	    ); // End add map		

		kc_add_map(
	        array(

	            'contact_us_area' => array(
	                'name' => esc_html__('Contact Us Area', 'greatway'),
	                'icon' => 'sl-rocket',
	                'category' => 'Greatway Shortcodes',	
					'nested'		=> true,					
	                'params' => array(							
									
						array(
	                        'name' => 'sec_title',
	                        'label' => esc_html__( 'Section Title', 'greatway' ),
	                        'type' => 'text',	                        
	                        'admin_label' => true,
							'value' => 'Section Title',
						),							
						
						array(
	                        'name' => 'sec_content',
	                        'label' => esc_html__( 'Section Content', 'greatway' ),
	                        'type' => 'textarea',	                        
	                        'admin_label' => true,
							'value' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras interdum ante vel aliquet euismod. Curabitur accumsan vitae augue vitae.',
						),							

						array(
	                        'name' => 'sec_contact_shortcode_id',
	                        'label' => esc_html__( 'Enter Shortcode ID', 'greatway' ),
	                        'type' => 'textarea',	                        
	                        'admin_label' => true,
						),							
		   
	                )
	            ),  // End of elemnt kc_icon 

	        ) 			
	    ); // End add map			
		
		kc_add_map(
	        array(

	            'contact_info' => array(
	                'name' => esc_html__('Contact Info ( Child of Contact Us Area)', 'greatway'),
	                'icon' => 'sl-rocket',
	                'category' => 'Greatway Shortcodes',						
	                'params' => array(							
									
						array(
	                        'name' => 'cont_icon',
	                        'label' => esc_html__( 'Contact Icon', 'greatway' ),
	                        'type' => 'text',	                        
	                        'admin_label' => true,
							'value' => 'fa fa-rocket',
						),							
						
						array(
	                        'name' => 'cont_content',
	                        'label' => esc_html__( 'Info', 'greatway' ),
	                        'type' => 'textarea',	                        
	                        'admin_label' => true,
							'value' => '2369 Robinson Lane Jackson,OH 45640',
						),							
					
		   
	                )
	            ),  // End of elemnt kc_icon 

	        ) 			
	    ); // End add map			
		
		kc_add_map(
	        array(

	            'google_map' => array(
	                'name' => esc_html__('Google Map Area', 'greatway'),
	                'icon' => 'sl-rocket',
	                'category' => 'Greatway Shortcodes',						
	                'params' => array(							
									
						array(
	                        'name' => 'map_api',
	                        'label' => esc_html__( 'API', 'greatway' ),
	                        'type' => 'text',	                        
	                        'admin_label' => true,
							'value' => 'AIzaSyDwIQh7LGryQdDDi-A603lR8NqiF3R_ycA',
						),							
						
						array(
	                        'name' => 'map_latitude',
	                        'label' => esc_html__( 'Latitude', 'greatway' ),
	                        'type' => 'text',	                        
	                        'admin_label' => true,
							'value' => '40.7127837',
						),						
						
						array(
	                        'name' => 'map_longitude',
	                        'label' => esc_html__( 'Longitude', 'greatway' ),
	                        'type' => 'text',	                        
	                        'admin_label' => true,
							'value' => '-74.00594130000002',
						),							
					
		   
	                )
	            ),  // End of elemnt kc_icon 

	        ) 			
	    ); // End add map			
				

	
	} // End if

}  
 
